//Modified oart of XDBEngine source code.
//Version 1.0
//Created by Tomas Koutny.
//For more info see http://www.rawos.com/en
//This file is public domain.

//definitions of objects that will be used at interface level of XDBEngine's
//components when devoloping new main engine or database driver
unit IStream64Cache;

interface

uses stream64;

type
  TACache64Engine = class
                protected
                   FCacheSize:LongWord; //size of memory allocated  for cache
                public
                  function CreateCacheStream(AStream:TStream64):TStream64;
                                                              dynamic; abstract;
                        //Creates stream that will use cache of TACache64Engine
                        //AStream will control access to medium storing data
                        //and caller must use only returned value
                        //for any further operations
                        //TACache64Engine will automatically free AStream
                        //at call returned.Free
                        //Can raise an exception when error happens.

                  property CacheSize:LongWord read FCacheSize;//current size
                            //of memory allocated for cache
                end;

implementation

end.
