//Modified part of XDBEngine source code.
//Version 1.0
//Created by Tomas Koutny.
//For more info see http://www.rawos.com/en


//creating of objects representing whole database kernel
library Stream64Cache;

uses
  ShareMem,
  SysUtils,
  Classes,
  Main in 'Main.pas',
  CachePages in 'CachePages.pas',
  CacheStreams in 'CacheStreams.pas',
  AbstractLayer in 'AbstractLayer.pas',
  routines in 'routines.pas',
  IStream64Cache in '..\interface\IStream64Cache.pas',
  stream64 in '..\..\common\stream64.pas',
  BTree in '..\..\common\BTree.pas';

{$R *.RES}

//we will export only one function
//if CacheSize = 0 then engine uses system cache
function CreateCacheEngine(CacheSize:integer):TACache64Engine;
begin
  result:=TMainEngine.Create(CacheSize);
end;

exports
  CreateCacheEngine;


begin
end.
