//Modified part of XDBEngine source code.
//Version 1.0
//Created by Tomas Koutny.
//For more info see http://www.rawos.com/en

//miscellaneous routines
unit routines;

interface

function PageBegin(Pos:Int64):Int64;
          //returns where begins page that holds position Pos


implementation

uses AbstractLayer;

function PageBegin(Pos:Int64):Int64;
var rmd:integer;
begin
  rmd:=pos and (PageSize-1);
  result:=pos-Int64(rmd);
  //we also could use pointer technique, but this is memory storage independent
end;


end.
